package com.alterdekim.hearthhack.component.processor.client.request.generic;

import com.alterdekim.Protocol;
import com.alterdekim.hearthhack.component.TcpConnection;
import com.alterdekim.hearthhack.config.DBFConfig;
import com.alterdekim.hearthhack.config.ServerConfig;
import com.alterdekim.hearthhack.reflect.AbstractParser;
import com.alterdekim.hearthhack.service.IService;
import com.alterdekim.hearthhack.util.BattleNetPacket;
import com.alterdekim.hearthhack.util.GetAccountInfoRequest;
import com.alterdekim.hearthhack.util.Util;
import lombok.NoArgsConstructor;

import static com.alterdekim.hearthhack.util.GameUtilities.generateNotification;


@NoArgsConstructor
public abstract class GenericParser implements AbstractParser {

    public abstract void parseGenericRequest(int token, TcpConnection conn) throws Exception;

    @Override
    public abstract int getId();
}
